Bug 115610 - devel/py-freebsd broken on FreeBSD-Current (7.0)
Summary: devel/py-freebsd broken on FreeBSD-Current (7.0)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-08-17 22:20 UTC by bp
Modified: 2010-09-06 18:46 UTC (History)
0 users

See Also:


Attachments
file.diff (1.35 KB, patch)
2007-08-17 22:20 UTC, bp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bp 2007-08-17 22:20:01 UTC
The freebsd-python list received a notice that 
compiling devel/py-freebsd 0.9.3_1 fails on 7.0-Current with:

---------
src/netstat.c: In function 'PyFB_ifstats':
src/netstat.c:246: error: 'struct if_data' has no member named 'ifi_recvquota'
src/netstat.c:246: error: 'struct if_data' has no member named 'ifi_xmitquota'
error: command 'cc' failed with exit status 1
*** Error code 1
---------

Probably broken with this commit, removing those members:

  http://www.freebsd.org/cgi/cvsweb.cgi/src/sys/net/if_var.h#rev1.115

Fix: I've attached a patch

Patch attached with submission follows:
How-To-Repeat: Try to compile the devel/py-freebsd port on a 7.0-CURRENT or higher system
Comment 1 Edwin Groothuis freebsd_committer 2007-08-17 22:20:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->python

Over to maintainer
Comment 2 dfilter service freebsd_committer 2007-08-27 12:09:50 UTC
miwi        2007-08-27 11:09:27 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-freebsd     Makefile 
  Added files:
    devel/py-freebsd/files freebsd7_patch-src-netstat.c 
  Log:
  - Fix build on HEAD
  
  PR:             115610
  Submitted by:   Barry Pederson <bp@barryp.org>
  
  Revision  Changes    Path
  1.15      +8 -2      ports/devel/py-freebsd/Makefile
  1.1       +10 -0     ports/devel/py-freebsd/files/freebsd7_patch-src-netstat.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2007-08-27 12:12:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 Philip M. Gollucci freebsd_committer 2010-09-06 18:46:55 UTC
Responsible Changed
From-To: python->freebsd-python

cannonicalize assignment